Update template group
curl --request PATCH \
--url https://devapi.eazecustoms.com/staging/v1/declaration-templates/groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"isDefault": true
}
'import requests
url = "https://devapi.eazecustoms.com/staging/v1/declaration-templates/groups/{id}"
payload = {
"name": "<string>",
"code": "<string>",
"isDefault": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', code: '<string>', isDefault: true})
};
fetch('https://devapi.eazecustoms.com/staging/v1/declaration-templates/groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "testing external api",
"code": "IMP-NEW-CODE",
"isDefault": false,
"updatedAt": "2026-06-22T10:05:00.000Z"
}
Declaration Templates
Update template group
Update fields or templates within an existing template group.
PATCH
/
v1
/
declaration-templates
/
groups
/
{id}
Update template group
Update template group details. Only fields provided in the body will be changed.
Path parameters
number
required
The unique template group ID.
Request payload
string
Updated template group name.
string
Updated unique short code for the template group.
boolean
Updated default status.
JSON Payload
{
"name": "testing external api",
"code": "IMP-NEW-CODE",
"isDefault": false
}
{
"id": 1,
"name": "testing external api",
"code": "IMP-NEW-CODE",
"isDefault": false,
"updatedAt": "2026-06-22T10:05:00.000Z"
}
⌘I